Folgen Sie uns per Folgen Sie uns auf FacebookFolgen Sie uns auf Google+Folgen Sie uns auf TwitterFolgen Sie uns auf unserem Blog

Sicherheitspatch für 4 Moodle Versionen

Es wurde wieder einmal Zeit für ein neues Update der e-Learning Software Moodle und wie man es von Moodle kennt, wurden direkt alle noch genutzten Versionen aktualisiert. Das waren 4 an der Zahl, wobei jedes Update relativ ähnliche Inhalte besitzt.

Da es sich bei Moodle 2.7.18 und 3.0.8 um Versionen handelt, die nur noch Sicherheitsfixes erhalten, gab es hier auch keine Neuerungen. Welche Sicherheitslücke genau bestand, wird allerdings erst in einer Woche bekannt gegeben, sodass alle Nutzer Zeit haben, die Lücke zu schließen. Die Updates 3.1.4 und 3.2.1 enthielten jedoch mehr als nur den Fix der Sicherheitslücke. Die Änderungen waren bei beiden Versionen jedoch nahezu dieselben. So konnten sich zuvor teilweise noch User mit einem abgelaufenen Passwort in Moodle anmelden. Auch das Admin-Tool „Upload Users“ arbeitete nicht korrekt. Diese und einige weitere Fehler wurden erfolgreich behoben. Eine genaue Liste aller Änderungen finden Sie auf moodle.org.

Das wohl Wichtigste an den Patches der 4 Versionen ist die behobene Sicherheitslücke. Daher raten wir Ihnen auch, das Update Ihrer Moodle Umgebung möglichst zeitnah durchzuführen. Sollten Sie dabei Unterstützung benötigen, können Sie sich jederzeit gerne an uns wenden.

Tags:, , ,

Kommentieren